linketurbidity
==============

[![Gitter](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/gersolar/linketurbidity?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

[![License](https://pypip.in/license/linketurbidity/badge.svg)](https://pypi.python.org/pypi/linketurbidity/) [![Downloads](https://pypip.in/download/linketurbidity/badge.svg)](https://pypi.python.org/pypi/linketurbidity/) [![Build Status](https://travis-ci.org/gersolar/linketurbidity.svg?branch=master)](https://travis-ci.org/gersolar/linketurbidity) [![Coverage Status](https://coveralls.io/repos/gersolar/linketurbidity/badge.png)](https://coveralls.io/r/gersolar/linketurbidity) [![Code Health](https://landscape.io/github/gersolar/linketurbidity/master/landscape.png)](https://landscape.io/github/gersolar/linketurbidity/master) [![PyPI version](https://badge.fury.io/py/linketurbidity.svg)](http://badge.fury.io/py/linketurbidity)
[![Supported Python versions](https://pypip.in/py_versions/linketurbidity/badge.svg)](https://pypi.python.org/pypi/linketurbidity/) [![Stories in Ready](https://badge.waffle.io/gersolar/linketurbidity.png?label=ready&title=Ready)](https://waffle.io/gersolar/linketurbidity)

A python library that simplifies the access to the linke turbidity index.


Requirements
============

If you want to use this library on any GNU/Linux or OSX system you just need to execute:

    $ pip install linketurbidity

If you want to improve this library, you should download the [github repository](https://github.com/gersolar/linketurbidity) and execute:

    $ make deploy

On Ubuntu Desktop there are some other libraries not installed by default (zlibc libbz2-dev) which may need to be installed to use these library. Use the next command to automate the installation of the additional C libraries:

    $ make ubuntu deploy


Testing
=======

To test all the project you should use the command:

    $ make test

If you want to help us or report an issue join to us through the [GitHub issue tracker](https://github.com/gersolar/linketurbidity/issues).


Example
=======

There are 3 methods to obtain the linke turbidity matrix:

1. obtain
1. obtain_to
1. persist

The **obtain** method accepts 2 parameters the satellite and a datetime object:

```python
    from linketurbidity import instrument
    from datetime import datetime

    linke_matrix = instrument.obtain(datetime(2014, 11, 10))
```

Next, the **obtain_to** method needs a standard NOAA CLASS netcdf filename to parse:

```python
    from linketurbidity import instrument
    from datetime import datetime

    linke_matrix = instrument.obtain_to('data/goes13.2014.124.123422.BAND_01.nc')
```

Last, the **persist** method needs a standard NOAA CLASS netcdf filename to save the variables:

```python
    linketurbiditydity import instrument
    from datetime import datetime
    from netcdf import netcdf as nc

    instrument.persist('data/goes13.2014.124.123422.BAND_01.nc')
    with nc.loader('data/goes13.2014.124.123422.BAND_01.nc') as root:
        print nc.getvar(root, 'linke')[:]
```


About
=====

This software is developed by [GERSolar](http://www.gersol.unlu.edu.ar/). You can contact us to [gersolar.dev@gmail.com](mailto:gersolar.dev@gmail.com).
